Take the 2-minute tour ×
Ask Ubuntu is a question and answer site for Ubuntu users and developers. It's 100% free, no registration required.

Possible Duplicate:
How can I fix a 404 Error using a PPA?

Whenever i try to install or update anythin in ubuntu 11.10 i am getting this list of errors.

Some restricted , universal and main packages show the result failed to fetch or 404 error or check your internet connection.

I have updated several times but the problem persists.Do i have to add / remove something from my source list please help.

This is the list of errors i am getting.

http://pastebin.com/LfgXzPHv

This is my source list

http://pastebin.com/4nJwRQvP

i changed the server so now only one errors remains

E: Unable to parse package file  /var/lib/apt/lists/partial/mirror.cse.iitk.ac.in_ubuntu_dists_oneiric-security_multiverse_i18n_Index (1)

where mirror.cse.iitk.ac.in is the new mirror i am using.

share|improve this question
    
Have you read line 2 of your error list? Use apt-cdrom first. –  mailq Oct 17 '11 at 15:40
add comment

migrated from serverfault.com Oct 17 '11 at 15:49

This question came from our site for professional system and network administrators.

marked as duplicate by Oli Jan 8 '12 at 12:29

This question has been asked before and already has an answer. If those answers do not fully address your question, please ask a new question.

1 Answer

Is this an updated install ?

Verify that your sources.list contains one uncommented http or ftp source for each branch you need, and delete the downloaded lists (in /var/lib/apt/lists/partial/) to start fresh.

W:GPG error: http://ppa.launchpad.net oneiric Release: The following signatures couldn't be verified because the public key is not available: NO_PUBKEY 5A9A06AEF9CB8DB0

This means you have a custom PPA loaded which is not valid for this version - I suspect you upgraded from an earlier version.

share|improve this answer
    
i changed my server-then most of the errors where gone except one –  pulkit Oct 18 '11 at 14:37
    
E: Unable to parse package file /var/lib/apt/lists/partial/mirror.cse.iitk.ac.in_ubuntu_dists_oneiric-security_m‌​ultiverse_i18n_Index (1) –  pulkit Oct 18 '11 at 14:37
    
solved just had to change to another server! –  pulkit Oct 18 '11 at 16:04
add comment

Not the answer you're looking for? Browse other questions tagged or ask your own question.